Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | List of all members
ipe::PageSelector Class Reference
Ipe canvas

`#include <ipeselector_qt.h>`

Inherits QListWidget.

## Signals
void | selectionMade ()

## Public Member Functions
| PageSelector (Document *doc, int page, int startIndex, int width, QWidget *parent=0)
int | selectedIndex () const

## Detailed Description

A Qt widget that displays a list of Ipe pages.

## Constructor & Destructor Documentation

PageSelector::PageSelector | ( | Document * | doc,
|  | int | page,
|  | int | startIndex,
|  | int | itemWidth,
|  | QWidget * | parent = `0`
| ) |  |

Construct the widget.

If page is negative, the last view of each page is shown. Otherwise, all views of this page are shown. itemWidth is the width of the page thumbnails (the height is computed automatically).

References ipe::Document::countPages(), ipe::Page::countViews(), ipe::Buffer::data(), ipe::Thumbnail::height(), ipe::Document::page(), ipe::Thumbnail::render(), selectedIndex(), selectionMade(), ipe::CanvasBase::selectPageOrView(), ipe::Page::title(), and ipe::String::z().

## Member Function Documentation

int ipe::PageSelector::selectedIndex | ( |  | ) | const
| inline

References selectionMade().

Referenced by PageSelector().

void ipe::PageSelector::selectionMade | ( |  | ) |
| signal

Referenced by PageSelector(), and selectedIndex().

The documentation for this class was generated from the following files:

- ipeselector_qt.h
- ipeselector_qt.cpp